ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# Genotype 

###
Companion object Genotype

#### case class Genotype(variant: Option[Variant] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, variantCallingAnnotations: Option[VariantCallingAnnotations] = None, sampleId: Option[String] = None, sampleDescription: Option[String] = None, processingDescription: Option[String] = None, alleles: Seq[String] = Seq(), expectedAlleleDosage: Option[Float] = None, referenceReadDepth: Option[Int] = None, alternateReadDepth: Option[Int] = None, readDepth: Option[Int] = None, minReadDepth: Option[Int] = None, genotypeQuality: Option[Int] = None, genotypeLikelihoods: Seq[Double] = Seq(), nonReferenceLikelihoods: Seq[Double] = Seq(), strandBiasComponents: Seq[Int] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, phased: Option[Boolean] = None, phaseSetId: Option[Int] = None, phaseQuality: Option[Int] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Genotype
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Genotype(variant: Option[Variant] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, variantCallingAnnotations: Option[VariantCallingAnnotations] = None, sampleId: Option[String] = None, sampleDescription: Option[String] = None, processingDescription: Option[String] = None, alleles: Seq[String] = Seq(), expectedAlleleDosage: Option[Float] = None, referenceReadDepth: Option[Int] = None, alternateReadDepth: Option[Int] = None, readDepth: Option[Int] = None, minReadDepth: Option[Int] = None, genotypeQuality: Option[Int] = None, genotypeLikelihoods: Seq[Double] = Seq(), nonReferenceLikelihoods: Seq[Double] = Seq(), strandBiasComponents: Seq[Int] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, phased: Option[Boolean] = None, phaseSetId: Option[Int] = None, phaseQuality: Option[Int] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alleles: Seq[String]
5.  val alternateReadDepth: Option[Int]
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def canEqual(that: Any): Boolean
   Definition Classes
     Genotype → Equals
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  val end: Option[Long]
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  val expectedAlleleDosage: Option[Float]
12.  val genotypeLikelihoods: Seq[Double]
13.  val genotypeQuality: Option[Int]
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  val minReadDepth: Option[Int]
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  val nonReferenceLikelihoods: Seq[Double]
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  val phaseQuality: Option[Int]
22.  val phaseSetId: Option[Int]
23.  val phased: Option[Boolean]
24.  val processingDescription: Option[String]
25.  def productArity: Int
    Definition Classes
      Genotype → Product
26.  def productElement(i: Int): Any
    Definition Classes
      Genotype → Product
27.  val readDepth: Option[Int]
28.  val referenceName: Option[String]
29.  val referenceReadDepth: Option[Int]
30.  val sampleDescription: Option[String]
31.  val sampleId: Option[String]
32.  val splitFromMultiAllelic: Option[Boolean]
33.  val start: Option[Long]
34.  val strandBiasComponents: Seq[Int]
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toAvro: formats.avro.Genotype
37.  val variant: Option[Variant]
38.  val variantCallingAnnotations: Option[VariantCallingAnnotations]
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped